package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkHoliday", description="节假日实体类")
public class WorkHoliday implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "dayStart",value = "开始日期")
    private Date dayStart;

    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "dayEnd",value = "结束日期")
    private Date dayEnd;

    @ApiModelProperty(name = "dayType",value = "日期类型：0工作日 1节日")
    private Integer dayType;

    @ApiModelProperty(name = "des",value = "日期说明")
    private String des;


}
